<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Base MUI</title>
         <!--External scripts-->
         <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/lodash.js/0.10.0/lodash.min.js"></script>
         <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
         <script src="https://code.jquery.com/ui/1.11.1/jquery-ui.min.js"></script>
         <script src="https://ajax.googleapis.com/ajax/libs/webfont/1.6.26/webfont.js"></script>
         <script src="external/feeder_details_bf.js"></script>
         <script src="external/feeder_details_mh.js"></script>
         <script src="external/FileSaver.min.js"></script>
         <script src="external/plotly.js"></script>
         <script src="external/snap.svg-min.js"></script>
         <script src="external/sequence-diagram-min.js"></script> 
         <script src="external/svg-pan-zoom.js"></script>
         <script src="external/underscore-min.js"></script>
         <script src="external/xlsx.full.min.js"></script>
         <script>
           WebFont.load({
             google: {
               families: ['Droid Sans', 'Droid Serif']
             }
           });
         </script>
 
         <!--Generic scripts-->
         <script src="generic/comms.js"></script>
         <script src="generic/existing_resources_bf.js"></script>
         <script src="generic/existing_resources_mh.js"></script>
         <script src="generic/global_functions.js"></script>
         <script src="generic/graph_functions.js"></script>
         <script src="generic/holon_interactions.js"></script>
         <script src="generic/user_bf.js"></script>
         <script src="generic/user_mh.js"></script>   
         <script src="generic/Resource details/attribute_editing.js"></script>
         <script src="generic/Resource details/photos.js"></script>
         <script src="generic/Resource details/resource_acts.js"></script>
         <script src="generic/Resource details/resource_details_bf.js"></script>
         <script src="generic/Resource details/resource_details_mh.js"></script>
         <script src="generic/Resource details/shortcuts.js"></script>
       
 
         <link rel="stylesheet" href="global_styles.css">

        <!--Custom scripts: MAD EDIT HERE!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!-->
        <script src="custom/basic_resources_mh.js"></script>
        <script src="custom/case_studies.js"></script>
        <script src="custom/home_shortcuts.js"></script>
        <script src="custom/product_usage.js"></script>
        <script src="custom/products.js"></script>
        <script src="custom/Resource_acts/feeders_acts.js"></script>
        <script src="custom/Resource_acts/groups_acts.js"></script>
        <script src="custom/Resource_acts/sensors_acts.js"></script>
        <script src="custom/Resource_acts/sheep_acts.js"></script>

       
        <style>
                       
            .navbar {
              overflow: hidden;
              background-color: #333;
            }
            
            .navbar a {
              float: left;
              font-size: 16px;
              color: white;
              text-align: center;
              padding: 14px 16px;
              text-decoration: none;
            }
            .navbar label {
              float: right;
              font-size: 20px;
              color: white;
              text-align: center;
              padding: 14px 16px;
              text-decoration: none;
            }
            
            .dropdown {
              float: left;
              overflow: hidden;
            }
            
            .dropdown .dropbtn {
              font-size: 16px;  
              border: none;
              outline: none;
              color: white;
              padding: 14px 16px;
              background-color: inherit;
              font-family: inherit;
              margin: 0;
            }
            
            .navbar a:hover, .dropdown:hover .dropbtn {
              background-color: red;
            }
            
            .dropdown-content {
              display: none;
              position: absolute;
              background-color: #f9f9f9;
              min-width: 160px;
              box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
              z-index: 1;
            }
            
            .dropdown-content a {
              float: none;
              color: black;
              padding: 12px 16px;
              text-decoration: none;
              display: block;
              text-align: left;
            }
            
            .dropdown-content a:hover {
              background-color: #ddd;
            }
            
            .dropdown:hover .dropdown-content {
              display: block;
            }
            </style>
    </head>
    <body>
        <div class="navbar" id = "navbar" style="display: none;">
            <a onclick="change_page('home.html','Home')">Home</a>
            <a onclick="change_page('users.html','Users')">Users</a>
            <div class="dropdown">
              <button class="dropbtn">Custom Holons
                <i class="fa fa-caret-down"></i>
              </button>
              <div class="dropdown-content">
                <a onclick = "change_page('existing_resources.html','Sheep')">Sheep</a>
                <a onclick = "change_page('existing_resources.html','Groups')">Groups</a>
                <a onclick = "change_page('existing_resources.html','Houses')">Houses</a>
                <a onclick = "change_page('existing_resources.html','Feeders')">Feeders</a>
                <a onclick = "change_page('existing_resources.html','Human workers')">Human workers</a>
                <a onclick = "change_page('existing_resources.html','Machinery')">Machinery</a>
                <a onclick = "change_page('existing_resources.html','Warehouses')">Warehouses</a>
                <a onclick= "change_page('existing_resources.html','Fields')">Fields</a>
                <a onclick= "change_page('existing_resources.html','Smart Software')">Smart Software</a>
                <a onclick = "change_page('existing_resources.html','Other')">Other</a>
               </div>
            </div> 
            <div class="dropdown">
              <button class="dropbtn">Interface Holons
                <i class="fa fa-caret-down"></i>
              </button>
              <div class="dropdown-content">
                <a onclick = "change_page('existing_resources.html','Observers')">Observers</a>
                <a onclick = "change_page('existing_resources.html','Informers')">Informers</a>
                <a onclick = "change_page('existing_resources.html','Interactors')">Interactors</a>
               </div>
            </div> 
            <a onclick="holon_interactions_nav()">Holon Interactions</a>
            <label id = "PageName">Home</label>
          </div>
        <div id = "root" > 
            <h2>Enter username and password to access this BASE sheep farm</h2>
                <form id="form_id" method="post" name="myform">
                <label>User Name :</label>
                <input type="text" name="username" id="username"/>
                <label>Password :</label>
                <input type="password" name="password" id="password"/>
                <input type="button" value="Login" id="submit" onclick="validate_user()"/>
                </form>
        </div>
    </body>
</html>
